elm::gesture_layer Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::gesture_layer Struct Reference

Class gesture_layer. More...

## Public Member Functions
| gesture_layer (Eo *eo)
| Eo Constructor. More...
| gesture_layer (std::nullptr_t)
| nullptr_t Constructor. More...
| gesture_layer (gesture_layer const &other)
| Copy Constructor.
bool | attach (::evas::object target_) const
void | cb_del (Elm_Gesture_Type idx_, Elm_Gesture_State cb_type_, Elm_Gesture_Event_Cb cb_, void *data_) const
void | cb_add (Elm_Gesture_Type idx_, Elm_Gesture_State cb_type_, Elm_Gesture_Event_Cb cb_, void *data_) const
| gesture_layer (::efl::eo::parent_type _p)
| Constructs a new elm::gesture_layer object. More...

## Detailed Description

Class gesture_layer.

## Constructor & Destructor Documentation

elm::gesture_layer::gesture_layer | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::gesture_layer object.

Constructs a new elm::gesture_layer object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::gesture_layer my_gesture_layer(efl::eo::parent = parent_object);

See also
  gesture_layer(Eo* eo)

elm::gesture_layer::gesture_layer | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::gesture_layer::gesture_layer | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

bool elm::gesture_layer::attach | ( | ::evas::object | target_ | ) | const

Parameters

  target |

void elm::gesture_layer::cb_add | ( | Elm_Gesture_Type | idx_,
|  | Elm_Gesture_State | cb_type_,
|  | Elm_Gesture_Event_Cb | cb_,
|  | void * | data_
| ) |  | const

Parameters

  idx |
  cb_type |
  cb |
  data |

void elm::gesture_layer::cb_del | ( | Elm_Gesture_Type | idx_,
|  | Elm_Gesture_State | cb_type_,
|  | Elm_Gesture_Event_Cb | cb_,
|  | void * | data_
| ) |  | const

Parameters

  idx |
  cb_type |
  cb |
  data |